%  Definition of State-Space System Variables

%  Inputs  =  43
%    5    Aileron Deflection    (radians)             
%    6    Rudder1 Deflection    (radians)             
%    7    Rudder2 Deflection    (radians)             
%    8    Wind Gust Azim, Elev Angles=(-135.0  90.0) (deg)       

%  Lateral Variations= 21
%    9    Cl_beta  :   -20.000 % Variation                       
%   11    Cn_beta  :    30.303 % Variation                       
%   14    Cy_beta  :   -14.286 % Variation                       
%   19    Cn_p     :    54.348 % Variation                       
%   20    Cn_r     :   -20.408 % Variation                       
%   21    Cl_p     :   -33.333 % Variation                       
%   22    Cl_r     :    25.000 % Variation                       
%   24    I_xx     :     2.857 % Variation                       
%   26    I_zz     :     3.030 % Variation                       
%   28    Xcg locat:    -1.766 % Variation                       
%   29    Ycg locat: 0.5000     Addit. Variat.                   
%   30    Zcg locat: 0.5000     Addit. Variat.                   
%   35    Cy_surf 2:   500.000 % Variation                       
%   36    Cl_surf 2:    15.000 % Variation                       
%   37    Cn_surf 2:  -650.000 % Variation                       
%   38    Cy_surf 3:    10.750 % Variation                       
%   39    Cl_surf 3:    40.000 % Variation                       
%   40    Cn_surf 3:   -10.000 % Variation                       
%   41    Cy_surf 4:     5.000 % Variation                       
%   42    Cl_surf 4:     6.250 % Variation                       
%   43    Cn_surf 4:     6.000 % Variation                       
  
%  Outputs =  49
%    1    Roll Attitude  (phi-body) (radians)                    
%    2    Roll Rate      (p-body)   (rad/sec)                    
%    3    Pitch Attitude (thet-bdy) (radians)                    
%    4    Pitch Rate     (q-body)   (rad/sec)                    
%    5    Yaw  Attitude  (psi-body) (radians)                    
%    6    Yaw  Rate      (r-body)   (rad/sec)                    
%    7    Angle of attack, alfa, (radians)                       
%    8    Angle of sideslip, beta, (radian)                      
%    9    Change in Altitude, delta-h, (feet)                    
%   10    Forward Acceleration  (V-dot)  (ft/sec)                
%   11    Cross Range Velocity (Vcr) (ft/sec)                    
%   12    CG Acceleration along X axis, (ft/sec^2)               
%   13    CG Acceleration along Y axis, (ft/sec^2)               
%   14    CG Acceleration along Z axis, (ft/sec^2)               

%  Lateral Variations= 21
%   15    Cl_beta  :   -20.000 % Variation                       
%   17    Cn_beta  :    30.303 % Variation                       
%   20    Cy_beta  :   -14.286 % Variation                       
%   25    Cn_p     :    54.348 % Variation                       
%   26    Cn_r     :   -20.408 % Variation                       
%   27    Cl_p     :   -33.333 % Variation                       
%   28    Cl_r     :    25.000 % Variation                       
%   30    I_xx     :     2.857 % Variation                       
%   32    I_zz     :     3.030 % Variation                       
%   34    Xcg locat:    -1.766 % Variation                       
%   35    Ycg locat: 0.5000  Addit. Variat.                   
%   36    Zcg locat: 0.5000  Addit. Variat.                   
%   41    Cy_surf 2:   500.000 % Variation                       
%   42    Cl_surf 2:    15.000 % Variation                       
%   43    Cn_surf 2:  -650.000 % Variation                       
%   44    Cy_surf 3:    10.750 % Variation                       
%   45    Cl_surf 3:    40.000 % Variation                       
%   46    Cn_surf 3:   -10.000 % Variation                       
%   47    Cy_surf 4:     5.000 % Variation                       
%   48    Cl_surf 4:     6.250 % Variation                       
%   49    Cn_surf 4:     6.000 % Variation                       
