[Au, Bu, Cu, Du] = Vehicle_35unc;
r2d=180/pi; d2r=pi/180;
K_des   % Design State-Feedback Control Gains
Split   % Separate Pitch and Lateral Systems
npu=14; % Pitch Uncertainties
nlu=21; % Lateral Uncertainties
nunc= npu+nlu;
Del=diag(ones(1,nunc));

[Acp,Bcp,Ccp,Dcp]=linmod('Closed_Loop_Pitch'); sysp=ss(Acp,Bcp,Ccp,Dcp);
[Acl,Bcl,Ccl,Dcl]=linmod('Closed_Loop_Later'); sysl=ss(Acl,Bcl,Ccl,Dcl);
w=logspace(-2,2,300);

% mup=ssv(Acp,Bcp,Ccp,Dcp,w);
% mul=ssv(Acl,Bcl,Ccl,Dcl,w);
% figure(1); loglog(w,mup, w,mul);

syspf= FRD(sysp,w); 
blkp=[-ones(npu,1), zeros(npu,1)];
[bnd,muinfo]= mussv(syspf,blkp);
fp= get(muinfo.bnds, 'frequency');
muu=get(muinfo.bnds, 'responsedata');
muu=squeeze(muu);
mup=muu(1,:);

syslf= FRD(sysl,w);
blkl=[-ones(nlu,1), zeros(nlu,1)];
[bnd,muinfo]= mussv(syslf,blkl);
fl= get(muinfo.bnds, 'frequency');
muu=get(muinfo.bnds, 'responsedata');
muu=squeeze(muu);
mul=muu(1,:);
figure(1); loglog(fp,mup, fl,mul)

xlabel('Frequency (rad/sec)')
ylabel('ssv')
legend('Pitch','Lateral');
xlabel('Frequency (rad/sec)')
ylabel('Mu')
title('Mu for 48 Variations')
