% file run.m
close all
r2d=180/pi; d2r=pi/180;
[Au, Bu, Cu, Du] = satellite_60flx;
npv=28;                                         % Number of Param Variations
J= [1045.3,  0,       19; ...                   % Moments of Inertia Matrix
    0,       641.02,  40; ...
    19,      40,      505.05]; JI=inv(J);

label='Yaw Axis Stability, (Pitch & Roll Closed)';
[Ao,Bo,Co,Do]=linmod('Open_Loop'); sys=ss(Ao,Bo,Co,Do);
w=logspace(-2,3,12000);                         % and Frequ domain analysis
figure(11); Nichols(sys,w); title(label)
figure(12); Bode(sys,w); title(label)

w=logspace(-3,3,300);                           % and Frequ domain analysis
[Acl,Bcl,Ccl,Dcl]=linmod('Closed_Loop'); sys=ss(Acl,Bcl,Ccl,Dcl);
mu=ssv(Acl,Bcl,Ccl,Dcl,w);
figure(13); loglog(w,mu);

[Acl,Bcl,Ccl,Dcl]=linmod('Closed_Loop'); sys=ss(Acl,Bcl,Ccl,Dcl);
sysf= FRD(sys,w);
blk=[-ones(npv,1), zeros(npv,1)];
[bnd,muinfo]= mussv(sysf,blk);

ff= get(muinfo.bnds, 'frequency');
muu=get(muinfo.bnds, 'responsedata');
muu=squeeze(muu);
muu=muu(1,:);
figure(14); loglog(ff,muu)
xlabel('Frequency (rad/sec)')
ylabel('ssv')
